summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--build/opnfv-environment.yaml2
-rwxr-xr-xbuild/overcloud-full.sh1
-rwxr-xr-xbuild/overcloud-opendaylight.sh12
-rwxr-xr-xlib/parse-functions.sh21
4 files changed, 25 insertions, 11 deletions
diff --git a/build/opnfv-environment.yaml b/build/opnfv-environment.yaml
index 4971ad76..11132948 100644
--- a/build/opnfv-environment.yaml
+++ b/build/opnfv-environment.yaml
@@ -6,6 +6,8 @@ parameters:
OvercloudControlFlavor: control
OvercloudComputeFlavor: compute
ControllerEnableSwiftStorage: false
+ NeutronEnableForceMetadata: true
+ NeutronEnableDHCPMetadata: true
# CloudDomain:
EnableSahara: false
EnableTacker: true
diff --git a/build/overcloud-full.sh b/build/overcloud-full.sh
index 5814c5ca..e7f1dd7d 100755
--- a/build/overcloud-full.sh
+++ b/build/overcloud-full.sh
@@ -123,7 +123,6 @@ LIBGUESTFS_BACKEND=direct virt-customize \
--run-command "yum install -y /root/vpp-bin/*.rpm" \
--run-command "tar zxvf /root/vpp-bin/vpp_papi*.tar.gz -C /" \
--install unzip \
- --run-command "yum -y install https://github.com/marosmars/files/raw/master/honeycomb-1.0.0-99.noarch.rpm" \
--upload puppet-fdio.tar.gz:/etc/puppet/modules \
--run-command "cd /etc/puppet/modules && tar xzf puppet-fdio.tar.gz" \
--upload vsperf.tar.gz:/var/opt \
diff --git a/build/overcloud-opendaylight.sh b/build/overcloud-opendaylight.sh
index 160c5e96..9b63ebc5 100755
--- a/build/overcloud-opendaylight.sh
+++ b/build/overcloud-opendaylight.sh
@@ -46,9 +46,18 @@ EOF
# SDNVPN - Copy tunnel setup script
wget https://raw.githubusercontent.com/openstack/fuel-plugin-opendaylight/brahmaputra-sr2/deployment_scripts/puppet/modules/opendaylight/templates/setup_TEPs.py
+# tar up the honeycomb module
+rm -rf puppet-honeycomb
+git clone https://github.com/trozet/puppet-honeycomb
+pushd puppet-honeycomb > /dev/null
+git archive --format=tar.gz --prefix=honeycomb/ HEAD > ../puppet-honeycomb.tar.gz
+popd > /dev/null
+
# install ODL packages
# install Jolokia for ODL HA
# Patch in OPNFV custom puppet-tripleO
+# install Honeycomb
+# install Honeycomb puppet module
LIBGUESTFS_BACKEND=direct virt-customize \
--upload networking-odl.tar.gz:/root/ \
--upload /tmp/opendaylight_boron.repo:/etc/yum.repos.d/opendaylight.repo \
@@ -58,6 +67,9 @@ LIBGUESTFS_BACKEND=direct virt-customize \
--install https://github.com/michaeltchapman/networking_rpm/raw/master/openstack-neutron-bgpvpn-2015.2-1.el7.centos.noarch.rpm \
--run-command "wget https://github.com/rhuss/jolokia/releases/download/v1.3.3/jolokia-1.3.3-bin.tar.gz -O /tmp/jolokia-1.3.3-bin.tar.gz" \
--run-command "tar -xvf /tmp/jolokia-1.3.3-bin.tar.gz -C /opt/opendaylight/system/org" \
+ --run-command "yum -y install https://github.com/marosmars/files/raw/master/honeycomb-1.0.0-99.noarch.rpm" \
+ --upload puppet-honeycomb.tar.gz:/etc/puppet/modules \
+ --run-command "cd /etc/puppet/modules && tar xzf puppet-honeycomb.tar.gz" \
--upload ./setup_TEPs.py:/tmp \
-a overcloud-full-opendaylight_build.qcow2
diff --git a/lib/parse-functions.sh b/lib/parse-functions.sh
index a582c28a..9c2ebff5 100755
--- a/lib/parse-functions.sh
+++ b/lib/parse-functions.sh
@@ -72,6 +72,17 @@ parse_network_settings() {
echo -e "${red}ERROR: Failed to parse network settings file $NETSETS ${reset}"
exit 1
fi
+
+ if [ "${deploy_options_array['dataplane']}" == 'ovs_dpdk' ]; then
+ if [ "$net_isolation_enabled" == "FALSE" ]; then
+ echo -e "${red}ERROR: flat network is not supported with ovs-dpdk ${reset}"
+ exit 1
+ fi
+ if [[ ! $enabled_network_list =~ "private_network" ]]; then
+ echo -e "${red}ERROR: tenant network is not enabled for ovs-dpdk ${reset}"
+ exit 1
+ fi
+ fi
}
##parses deploy settings yaml into globals
@@ -85,16 +96,6 @@ parse_deploy_settings() {
exit 1
fi
- if [ "${deploy_options_array['dataplane']}" == 'ovs_dpdk' ]; then
- if [ "$net_isolation_enabled" == "FALSE" ]; then
- echo -e "${red}ERROR: flat network is not supported with ovs-dpdk ${reset}"
- exit 1
- fi
- if [[ ! $enabled_network_list =~ "private_network" ]]; then
- echo -e "${red}ERROR: tenant network is not enabled for ovs-dpdk ${reset}"
- exit 1
- fi
- fi
}
##parses baremetal yaml settings into compatible json